%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Summary:	JPEG-2000 utilities
Name:		jasper
Version:	1.900.1
Release:	%mkrel 10
License:	BSD-like
Group:		Graphics
URL:		http://www.ece.uvic.ca/~mdadams/jasper/
Source0: 	http://www.ece.uvic.ca/~mdadams/jasper/software/jasper-%version.zip
# P0 comes from jasper_1.900.1-3ubuntu0.7.10.1.diff
Patch0:		jasper-1.900.1-security_fixes.diff
BuildRequires:	libjpeg-devel
%if !%bootstrap
BuildRequires:	libmesaglut-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains tools for working with JPEG-2000 images.

%package -n %{libname}
Summary:	Libraries for JasPer
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains libraries for working with JPEG-2000 images.

%package -n %{develname}
Summary:	Development tools for programs which will use the libjasper library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	lib64jasper1.701_1-devel
Obsoletes:	%{mklibname %{name} 1 -d} < 1.900.1-5
Provides:	%{mklibname %{name} 1 -d}

%description -n %{develname}
The %{libname}-devel package includes the header files necessary for 
developing programs which will manipulate JPEG-2000 files using
the libjasper library.

If you are going to develop programs which will manipulate JPEG-2000 images,
you should install %{libname}-devel.  You'll also need to have the
%{libname} package installed.

%package -n %{staticname}
Summary:	Static libraries for programs which will use the libjasper library
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{libname}-static-devel = %{version}-%{release}
Conflicts:	lib64jasper1.701_1-static-devel
Obsoletes:	%{mklibname %{name} 1 -d -s} < 1.900.1-5
Provides:	%{mklibname %{name} 1 -d -s}

%description -n %{staticname}
The %{libname}-static-devel package includes the static 
libraries necessary for developing programs which will manipulate JPEG-2000 
files using the libjasper library.

%prep
%setup -q
%patch0 -p1

%{__mv} doc/README doc/README.pdf

%build
%configure2_5x --enable-shared

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std
%multiarch_includes %{buildroot}%{_includedir}/jasper/jas_config.h

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE NEWS
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%if !%bootstrap
%{_bindir}/jiv
%endif
%{_bindir}/tmrdemo
%{_mandir}/man1/imgcmp.1*
%{_mandir}/man1/imginfo.1*
%{_mandir}/man1/jasper.1*
%{_mandir}/man1/jiv.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/README.pdf doc/jasper.pdf doc/jpeg2000.pdf 
%multiarch %dir %{multiarch_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.la
%{_libdir}/*.so

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Tue May 18 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.900.1-10mdv2010.1
+ Revision: 545157
- rebuild to fix perms on debug package (bug #57758)

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-9mdv2010.1
+ Revision: 488769
- rebuilt against libjpeg v8

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1.900.1-8mdv2010.0
+ Revision: 449123
- add bootstrap flag to build without mesaglut (from Arnaud Patard)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-7mdv2010.0
+ Revision: 416521
- rebuilt against libjpeg v7

* Fri Jun 26 2009 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-6mdv2010.0
+ Revision: 389545
- P0: security fixes for CVE-2007-2721, CVE-2008-3520, CVE-2008-3521, CVE-2008-3522

* Sun Jan 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.900.1-5mdv2009.1
+ Revision: 333536
- new devel library policy
- spec file clean

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.900.1-4mdv2009.0
+ Revision: 221674
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.900.1-3mdv2008.1
+ Revision: 150417
- rebuild
- kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.900.1-2mdv2008.0
+ Revision: 26012
- Put needed conflicts for older libjasper devel/static-devel packages.

* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.900.1-1mdv2008.0
+ Revision: 22519
- Updated to 1.900.1.
- Cleanups, small typo fixes.


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.701.0-6mdv2007.1
+ Revision: 146605
- move devel doc in -devel

  + Olivier Blin <oblin@mandriva.com>
    - Import jasper

* Sat Aug 19 2006 Emmanuel Andry <eandry@mandriva.org> 1.701.0-5mdv2007.0
- fix buildrequires
- %%mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.701.0-4mdk
- Rebuild

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.701.0-3mdk
- multiarch

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 1.701.0-2mdk 
- rebuild for new gcc

